\newpage
\section{Conclusion}\label{comparison}

The previous section described two different graph generation models, the 
Community Guided Attachment model and the Forest Fire Model. 

Unlike older models, like the Preferential Attachment model or the Copying Model,
the models by \citeauthor{Leskovec2005} are able to generate dynamically
growing graphs with a growing 
average vertex degree (\emph{densification}), following a power law. This 
property is analytically proven for the Community Guided Attachment model and can be
controlled by an intuitive parameter, the \emph{difficulty 
constant}. For the Forest Fire model, this behavior is only experimentally 
proven.

The Forest Fire model is able to additionally generate shrinking diameters. To 
my knowledge, \citeauthor{Leskovec2005} were first to publish a model that 
explicitly incorporates this behavior. However, they cannot provide a 
satisfying explanation for why the diameters shrink.
Their assumption is that the entrance vertices might act as bridges between formerly
unconnected parts of the graph, which is not very satisfying. \citeauthor{DeepayanChakrabarti2006}
\cite{DeepayanChakrabarti2006} also point this out as a weakness of the 
model.
Moreover, it requires fine-tuning of the two parameters \emph{forward burning 
probability} and \emph{backward burning probability} to achieve both a densification 
with an exponent $< 2$ and shrinking diameters.

Unlike Community Guided Attachment, the Forest Fire model is further able to generate
a power law vertex degree distribution, like the Preferential Attachment model 
or the Copying Model. The fact that this property can be observed in a variety 
of real world graphs as well as its $\mathcal{O}(|V|^2)$ complexity lead to the
impression that the Community Guided 
Attachment model is only intended to provide an intuitive explanation of
densification power laws.

Both models proposed by \citeauthor{Leskovec2005} \cite{Leskovec2005} are easy to 
understand and implement. Further, they are well motivated for the given use 
case, the modeling of citation networks. Here, edges are created only on the 
insertion of a vertex and hence, the graph is directed and cycle-free. 
Intuitively, this does not apply for different real world networks, like social 
networks, where edges may appear at any time.

There are different approaches, like R-MAT \cite{Chakrabarti2004} or RTG
\cite{Akoglu2009}, that provide similar behaviors but allow formal proof for 
them \cite{DeepayanChakrabarti2006}.
